summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2015-11-18 20:44:27 +0100
committerMichał Górny <mgorny@gentoo.org>2015-11-28 20:09:06 +0100
commite67a293e266a19946ce11f384186a9e7df3ae66c (patch)
tree6450aa39fdb9420fe4e4e8583a49f8be735ec292 /eclass/python-utils-r1.eclass
parentpython-utils-r1.eclass: Remove unneeded multilib inherit in EAPI 6 (diff)
downloadgentoo-e67a293e266a19946ce11f384186a9e7df3ae66c.tar.gz
gentoo-e67a293e266a19946ce11f384186a9e7df3ae66c.tar.bz2
gentoo-e67a293e266a19946ce11f384186a9e7df3ae66c.zip
python-utils-r1.eclass: Support nonfatal in python_do* and python_new*
Diffstat (limited to 'eclass/python-utils-r1.eclass')
-rw-r--r--eclass/python-utils-r1.eclass6
1 files changed, 3 insertions, 3 deletions
diff --git a/eclass/python-utils-r1.eclass b/eclass/python-utils-r1.eclass
index 456c0996bc7..884867fa022 100644
--- a/eclass/python-utils-r1.eclass
+++ b/eclass/python-utils-r1.eclass
@@ -682,7 +682,7 @@ python_newexe() {
(
dodir "${wrapd}"
exeinto "${d}"
- newexe "${f}" "${newfn}" || die
+ newexe "${f}" "${newfn}" || return ${?}
)
# install the wrapper
@@ -814,7 +814,7 @@ python_domodule() {
(
insinto "${d}"
- doins -r "${@}" || die
+ doins -r "${@}" || return ${?}
)
python_optimize "${ED}/${d}"
@@ -848,7 +848,7 @@ python_doheader() {
(
insinto "${d}"
- doins -r "${@}" || die
+ doins -r "${@}" || return ${?}
)
}